[arch-commits] Commit in (5 files)

Vesa Kaihlavirta vesa at archlinux.org
Tue Jan 19 03:03:31 EST 2010


    Date: Tuesday, January 19, 2010 @ 03:03:30
  Author: vesa
Revision: 63999

add hunit (formerly in ghc)

Added:
  haskell-hunit/
  haskell-hunit/repos/
  haskell-hunit/trunk/
  haskell-hunit/trunk/PKGBUILD
  haskell-hunit/trunk/haskell-hunit.install

-----------------------+
 PKGBUILD              |   26 ++++++++++++++++++++++++++
 haskell-hunit.install |   14 ++++++++++++++
 2 files changed, 40 insertions(+)

Added: haskell-hunit/trunk/PKGBUILD
===================================================================
--- haskell-hunit/trunk/PKGBUILD	                        (rev 0)
+++ haskell-hunit/trunk/PKGBUILD	2010-01-19 08:03:30 UTC (rev 63999)
@@ -0,0 +1,26 @@
+# Maintainer: Vesa Kaihlavirta <vesa at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+pkgname=haskell-hunit
+pkgver=1.2.2.1
+pkgrel=1
+pkgdesc="A unit testing framework for Haskell"
+url="http://hackage.haskell.org/cgi-bin/hackage-scripts/package/HUnit"
+license=('custom:BSD3')
+arch=('i686' 'x86_64')
+depends=(ghc=6.12.1 sh)
+options=('strip')
+source=(http://hackage.haskell.org/packages/archive/HUnit/$pkgver/HUnit-$pkgver.tar.gz)
+install=$pkgname.install
+
+build() {
+    cd $srcdir/HUnit-$pkgver
+    runhaskell Setup configure -p --enable-split-objs --enable-shared --prefix=/usr || return 1
+    runhaskell Setup build                   || return 1
+    runhaskell Setup register   --gen-script || return 1
+    runhaskell Setup unregister --gen-script || return 1
+    install -D -m744 register.sh   $pkgdir/usr/share/haskell/$pkgname/register.sh
+    install    -m744 unregister.sh $pkgdir/usr/share/haskell/$pkgname/unregister.sh
+    runhaskell Setup copy --destdir=$pkgdir || return 1
+    install -D -m644 LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE || return 1
+}
+md5sums=('2634e94c27486f8e8feeb778f78c663f')

Added: haskell-hunit/trunk/haskell-hunit.install
===================================================================
--- haskell-hunit/trunk/haskell-hunit.install	                        (rev 0)
+++ haskell-hunit/trunk/haskell-hunit.install	2010-01-19 08:03:30 UTC (rev 63999)
@@ -0,0 +1,14 @@
+HS_DIR=/usr/share/haskell/haskell-hunit
+post_install() {
+  ${HS_DIR}/register.sh
+}
+pre_upgrade() {
+  ${HS_DIR}/unregister.sh &> /dev/null
+  exit 0
+}
+post_upgrade() {
+  ${HS_DIR}/register.sh
+}
+pre_remove() {
+  ${HS_DIR}/unregister.sh
+}



More information about the arch-commits mailing list